import React, { useEffect } from "react";
import { Spin } from "antd";
import HtmlTitle from "./components/HtmlTitle";
// import Main from './Main';
import withLogin from "./withLogin";
import { getToken } from "@/utils/token";
import { useNavigate } from "react-router-dom";

const Spinner = () => (
  <div
    style={{
      width: "100%",
      height: "100%",
      display: "grid",
      placeItems: "center",
    }}
  >
    <Spin />
  </div>
);

export default (props) => {
  const navigator = useNavigate();

  const token = getToken();
  useEffect(() => {
    if (!token) {
      navigator("login");
    }
  }, [token]);
  const RequireLogin = React.lazy(() => {
    return withLogin(import("./Main"));
  });

  return (
    <>
      <HtmlTitle />
      <React.Suspense fallback={<Spinner />}>
        <RequireLogin />
      </React.Suspense>
    </>
  );
};
